<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add An User</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>
<style>
    input, select {
        background-color: lightgray;
        border: none;
        width: 100%;
        height: 40px;
    }
    .text-center >button {
        background-color: rgb(175, 225, 175);
        border: none;
        width: 45%;
        height: 40px;
        margin-top: 20px;
    }

</style>
    
<script>
    const gBASE_URL = "http://203.171.20.210:8080/crud-api/users/";
    $(document).ready(function(){
        $("#add-user-btn").click(function(){
            onInsertUserClick();
        })
    })

    function onInsertUserClick(){
        var newUser = {
            firstname: "",
            lastname: "",
            subject: "",
            country: "",
            customerType: "",
        }
        dataCollection(newUser);
        var correctData = validateData(newUser);
        if(correctData){
            callAPIToCreateData(newUser);
        }
    }

    function callAPIToCreateData(userInfor){
        $.ajax({
            url: gBASE_URL,
            type: "POST",
            contentType: "application/json;charset=UTF-8",
            data: JSON.stringify(userInfor),
            success:function(res){
                alert("Successfully Created");
                console.log(res);
                window.location.href = "Task-36.html"
            },
            error: function(error){
                console.log(error)
            }
        })
    }

    function validateData(userInfor){
        if(userInfor.firstname == ""){
            alert("Please fill your [firstname]");
            return false;
        }
        if(userInfor.lastname == ""){
            alert("Please fill your [lastname]");
            return false;
        }
        if(userInfor.subject == ""){
            alert("Please fill your [subject]");
            return false;
        }
        if(userInfor.country == "None"){
            alert("Please fill your [country]");
            return false;
        }
        if(userInfor.customerType == "None"){
            alert("Please fill your [customerType]");
            return false;
        }
        return true;
    }

    function dataCollection(newUser){
        newUser.firstname = $("#firstname-create").val();
        newUser.lastname = $("#lastname-create").val();
        newUser.subject = $("#subject-create").val();
        newUser.country = $("#country-create option:selected").text();
        newUser.customerType = $("#customer-type-create option:selected").text();
        console.log(newUser)
    }
</script>

<body>
    <div class="container">
        <h2 class="text-center my-4">Add An User</h2>
        <form class="text-center">
            <div class="my-4">
                <label class="col-3" for="firstname-create">First name</label>
                <input id="firstname-create" class="textarea-color col-8">
            </div>
            <div class="my-4">
                <label class="col-3" for="lastname-create">Last name</label>
                <input id="lastname-create" class="textarea-color col-8">
            </div>
            <div class="my-4">
                <label class="col-3" for="subject-create">Subject</label>
                <input id="subject-create" class="textarea-color col-8">
            </div>
            <div class="my-4">
                <label class="col-3" for="country-create">Country</label>
                <select id="country-create" class="textarea-color col-8">
                    <option value="0">None</option>
                    <option value="VN">Việt Nam</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Australia</option>
                    <option value="CAN">Canada</option>
                </select>
            </div>
            <div class="my-4">
                <label class="col-3" for="customer-type-create">Customer Type</label>
                <select id="customer-type-create" class="textarea-color col-8">
                    <option value="0">None</option>
                    <option value="Standard">Standard</option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
                </select>
            </div>
        </form>
        <div class="text-center">
            <button id="add-user-btn">Insert User</button>
            <button id="cancel-btn">Huỷ bỏ</button>
        </div>

    </div>
</body>

</html>